### Signal

# Vte Terminal::commit

#### Declaration

    void
    commit (
      VteTerminal* self,
      gchar* text,
      guint size,
      gpointer user_data
    )

#### Description [src]

Emitted whenever the terminal receives input from the user and prepares to send it to the child process.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`text`

  Type: `gchar*`

  A string of text.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `guint`

  The length of that string of text.